FROM openshift/golang-builder:1.13 AS builder
ENV __doozer=update BUILD_RELEASE=202008100806.p0 BUILD_VERSION=v4.4.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=4 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.4.0-202008100806.p0 SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=3d0621e OS_GIT_VERSION=4.4.0-202008100806.p0-3d0621e SOURCE_DATE_EPOCH=1581497856 SOURCE_GIT_COMMIT=3d0621eb72c9dd1c036505363032468a9016f381 SOURCE_GIT_TAG=v4.4-imagestream-1 SOURCE_GIT_URL=https://github.com/openshift/oauth-proxy 
WORKDIR  /go/src/github.com/openshift/oauth-proxy
COPY . .
RUN go build .

FROM openshift/ose-base:ubi7
ENV __doozer=update BUILD_RELEASE=202008100806.p0 BUILD_VERSION=v4.4.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=4 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.4.0-202008100806.p0 SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=3d0621e OS_GIT_VERSION=4.4.0-202008100806.p0-3d0621e SOURCE_DATE_EPOCH=1581497856 SOURCE_GIT_COMMIT=3d0621eb72c9dd1c036505363032468a9016f381 SOURCE_GIT_TAG=v4.4-imagestream-1 SOURCE_GIT_URL=https://github.com/openshift/oauth-proxy 
COPY --from=builder /go/src/github.com/openshift/oauth-proxy/oauth-proxy /usr/bin/oauth-proxy
ENTRYPOINT ["/usr/bin/oauth-proxy"]

LABEL \
        License="GPLv2+" \
        io.k8s.description="OpenShift OAuth Proxy." \
        io.k8s.display-name="OpenShift OAuth Proxy" \
        io.openshift.tags="oauth" \
        vendor="Red Hat" \
        name="openshift/ose-oauth-proxy" \
        com.redhat.component="golang-github-openshift-oauth-proxy-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        release="202008100806.p0" \
        io.openshift.build.commit.id="3d0621eb72c9dd1c036505363032468a9016f381" \
        io.openshift.build.source-location="https://github.com/openshift/oauth-proxy" \
        io.openshift.build.commit.url="https://github.com/openshift/oauth-proxy/commit/3d0621eb72c9dd1c036505363032468a9016f381" \
        version="v4.4.0"

